namespace MyOffice.Data.Repositories.Motion;

using Models.Motions;

public interface IMotionRepository
{
	List<MotionAccount> GetAll(Guid userId);
	List<MotionAccount> GetByCategory(Guid userId, Guid categoryId);

	MotionAccount? GetByGlobal(Guid userId, Guid globalMotionId);
	bool Add(MotionAccount motionAccount);
	bool Update(MotionAccount motionAccount);
}